pangomm: Pango::Analysis Class Reference

pangomm 2.52.0

Public Member Functions | Protected Member Functions | Protected Attributes | Related Functions | List of all members
Pango::Analysis Class Reference

A Pango::Analysis stores information about the properties of a segment of text. More...

`#include <pangomm/item.h>`

## Public Member Functions
| Analysis (const PangoAnalysis * src)
Glib::RefPtr< Font > | get_font ()
| Gets the font used to render this segment. More...
Glib::RefPtr< const Font > | get_font () const
guint8 | get_level () const
| Gets the bidrectional level for this segment. More...
Language | get_language () const
| Gets the language of this segment. More...
std::vector< Attribute > | get_extra_attrs () const
| Gets a list of non-font attributes for this segment. More...
PangoAnalysis * | gobj ()
| Provides access to the underlying C GObject. More...
const PangoAnalysis * | gobj () const
| Provides access to the underlying C GObject. More...

## Protected Member Functions
| Analysis ()

## Protected Attributes
PangoAnalysis | gobject_

## Related Functions
(Note that these are not member functions.)
Pango::Analysis & | wrap (PangoAnalysis * object)
const Pango::Analysis & | wrap (const PangoAnalysis * object)

## Detailed Description

A Pango::Analysis stores information about the properties of a segment of text.

Pango::Analysis is used as an output type only so there is no public default constructor. You can retrieve an object of this type from an object of type Pango::Item by calling Pango::Item::get_analysis(). Objects of this class can be used for some calculations in Pango::GlyphString.

## Constructor & Destructor Documentation

## ◆ Analysis() [1/2]

Pango::Analysis::Analysis | ( |  | ) |
| protected

## ◆ Analysis() [2/2]

Pango::Analysis::Analysis | ( | const PangoAnalysis * | src | ) |
| explicit

## Member Function Documentation

## ◆ get_extra_attrs()

std::vector< Attribute > Pango::Analysis::get_extra_attrs | ( |  | ) | const

Gets a list of non-font attributes for this segment.

Returns
  A list of non-font attributes for this segment.

## ◆ get_font() [1/2]

Glib::RefPtr< Font > Pango::Analysis::get_font | ( |  | ) |

Gets the font used to render this segment.

Returns
  The font used to render this segment.

## ◆ get_font() [2/2]

Glib::RefPtr< const Font > Pango::Analysis::get_font | ( |  | ) | const

## ◆ get_language()

Language Pango::Analysis::get_language | ( |  | ) | const

Gets the language of this segment.

Returns
  The language of this segment.

## ◆ get_level()

guint8 Pango::Analysis::get_level | ( |  | ) | const

Gets the bidrectional level for this segment.

Returns
  The bidirectional level for this segment.

## ◆ gobj() [1/2]

PangoAnalysis * Pango::Analysis::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const PangoAnalysis * Pango::Analysis::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## Friends And Related Function Documentation

## ◆ wrap() [1/2]

const Pango::Analysis & wrap | ( | const PangoAnalysis * | object | ) |
| related

## ◆ wrap() [2/2]

Pango::Analysis & wrap | ( | PangoAnalysis * | object | ) |
| related

## Member Data Documentation

## ◆ gobject_

PangoAnalysis Pango::Analysis::gobject_
| protected